export declare class Nav {
    #private;
    private el;
    active: boolean;
    private _height;
    private handleSlotChange;
    toggle(active?: boolean): Promise<void>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    render(): any[];
}
